<html lang="pl">
<head>
    <title>Faktura {{invoiceNumber}}</title></head>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <style>
        html {
            -webkit-print-color-adjust: exact;
            font-family: Georgia,Times,"Times New Roman",serif;
            font-size: 13px;
        }
    </style>
<body>
<div class="container">
    <div class="mt-5">
        <div>
            <div class="row">
                <div class="col-9"></div>
                <div class="col-3 text-center" style="background-color: rgb(226,226,226); border-top: 1px solid black;">
                    Miejsce wystawienia
                </div>
            </div>
            <div class="row">
                <div class="col-9"></div>
                <div class="col-3 text-center" style="font-weight: bold;">
                    {{generatePlace}}
                </div>
            </div>
        </div>
        <div>
            <div class="row">
                <div class="col-9"></div>
                <div class="col-3 text-center" style="background-color: rgb(226,226,226); border-top: 1px solid black;">
                    Data wystawienia
                </div>
            </div>
            <div class="row">
                <div class="col-9"></div>
                <div class="col-3 text-center" style="font-weight: bold;">
                    {{generatedAt}}
                </div>
            </div>
        </div>
        <div>
            <div class="row">
                <div class="col-9"></div>
                <div class="col-3 text-center" style="background-color: rgb(226,226,226); border-top: 1px solid black;">
                    Data sprzedaży
                </div>
            </div>
            <div class="row">
                <div class="col-9"></div>
                <div class="col-3 text-center" style="font-weight: bold;">
                    {{soldAt}}
                </div>
            </div>
        </div>
    </div>

    <div class="mt-3">
        <div class="row">
            <div class="col-5 text-center" style="background-color: rgb(226,226,226); border-top: 1px solid black; font-weight: bold;">
                Sprzedawca
            </div>
            <div class="col-2"></div>
            <div class="col-5 text-center" style="background-color: rgb(226,226,226); border-top: 1px solid black; font-weight: bold;">
                Nabywca
            </div>
        </div>
        <div class="row">
            <div class="col-5">{{company.name}}</div>
            <div class="col-2"></div>
            <div class="col-5">{{contractor.name}}</div>
        </div>
        <div class="row">
            <div class="col-5">NIP: {{company.identificationNumber}}</div>
            <div class="col-2"></div>
            <div class="col-5">NIP: {{contractor.identificationNumber}}</div>
        </div>
        <div class="row">
            <div class="col-5">{{company.street}}</div>
            <div class="col-2"></div>
            <div class="col-5">{{contractor.street}}</div>
        </div>
        <div class="row">
            <div class="col-5">{{company.zipCode}} {{company.city}}</div>
            <div class="col-2"></div>
            <div class="col-5">{{contractor.zipCode}} {{contractor.city}}</div>
        </div>
    </div>

    <div class="mt-5 text-center">
        <h1>Faktura {% if isVatInvoice %} VAT {% endif %} {{invoiceNumber}}</h1>
    </div>

    <div class="mt-3">
        <table class="table text-center" style="font-size: 11px; vertical-align: middle;">
            <thead style="background-color: rgb(226,226,226);">
            <tr style="font-weight: bold;">
                <td>Lp.</td>
                <td>Nazwa towaru lub usługi</td>
                <td>PKWiU</td>
                <td>Jm.</td>
                <td>Ilość</td>
                <td>Cena netto</td>
                <td>Wartość netto</td>
                <td>Stawka VAT</td>
                <td>Kwota VAT</td>
                <td>Wartość brutto</td>
            </tr>
            </thead>

            <tbody style="max-width:200px; word-wrap:break-word;">

            {% for key, product in products %}
                <tr>
                    <td>{{key+1}}</td>
                    <td style="text-align: left;">{{product.name}}</td>
                    <td>62.01.11</td>
                    <td>{% if product.unit == 'service' %} usł. {% endif %}</td>
                    <td>{{product.quantity}}</td>
                    <td>{{ product.netPrice|number_format(2, '.', ',') }}</td>
                    <td>{{ product.netPrice|number_format(2, '.', ',') }}</td>
                    <td>{{ product.tax }}%</td>
                    <td>{{ product.taxPrice|number_format(2, '.', ',') }}</td>
                    <td>{{ product.grossPrice|number_format(2, '.', ',') }}</td>
                </tr>
            {% endfor %}

            <tr>
                <td colspan="6" style="text-align: right; font-weight: bold;">
                    W tym
                </td>
                <td>{{totalNetPrice|number_format(2, '.', ',')}}</td>
                <td>{% if isVatInvoice %} 23% {% else %} 0% {% endif %}</td>
                <td>{{totalTaxPrice|number_format(2, '.', ',')}}</td>
                <td>{{totalGrossPrice|number_format(2, '.', ',')}}</td>
            </tr>
            <tr>
                <td colspan="6" style="text-align: right; font-weight: bold;">
                    Razem
                </td>
                <td>{{totalNetPrice|number_format(2, '.', ',')}}</td>
                <td>{% if isVatInvoice %} 23% {% else %} 0% {% endif %}</td>
                <td>{{totalTaxPrice|number_format(2, '.', ',')}}</td>
                <td>{{totalGrossPrice|number_format(2, '.', ',')}}</td>
            </tr>
            </tbody>
        </table>
    </div>

    <div class="mt-4">
        <div class="row">
            <div class="col-5">
                <div style="border-top: 1px solid black;">
                    Sposób płatności: <span> {% if paymentType == 'bank_transfer' %} przelew {% else %} pusto {% endif %}</span>
                </div>
            </div>
            <div class="col-2"></div>
            <div class="col-5">
                <div style="border-top: 1px solid black; font-weight: bold;">
                    Do zapłaty: <span> {{toPayPrice|number_format(2, '.', ',')}} {{currencyCode}} </span>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-5">
                <div style="border-top: 1px solid black;">
                    Termin płatności: <span> {{paymentLastDate}} </span>
                </div>
            </div>
            <div class="col-2"></div>
            <div class="col-5">
                <div style="border-top: 1px solid black; font-weight: bold;">
                    Słownie: <p> {{translatePrice}} </p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-5">
                <div style="border-top: 1px solid black;">
                    Numer konta: <p> {{paymentAccountNumber}} </p>
                </div>
            </div>
        </div>
    </div>

    <div style="margin-top: 200px;">
        <div class="row">
            <div class="col-4" style="border-top: 1px solid black; text-align: center;">
                Podpis osoby upoważnionej do wystawienia
            </div>
            <div class="col-4"></div>
            <div class="col-4" style="border-top: 1px solid black; text-align: center;">
                Podpis osoby upoważnionej do odbioru
            </div>
        </div>
    </div>

</div>
</body>
</html>
